package examenes.examen20241213;

import examenes.examen20241213.utils.Utils;

public class Mamifero extends Animal {
    private String tipoAlimentacion;

    public Mamifero() {
        if (Math.random() >= 0.5) {
            tipoAlimentacion = "Carnívoro";
        } else {
            tipoAlimentacion = "Herbívoro";
        }
    }

    @Override
    public float calcularEspacio() {
        return (getPeso() * 3);
    }


    public String getTipoAlimentacion() {
        return tipoAlimentacion;
    }

    public void setTipoAlimentacion(String tipoAlimentacion) {
        this.tipoAlimentacion = tipoAlimentacion;
    }

    @Override
    public String toString() {
        return "Mamifero{" +
                "nombre='" + getNombre() + '\'' +
                ", peso=" + getPeso() +
                ", tipoAlimentacion='" + tipoAlimentacion + '\'' +
                ", espacio=" + getEspacio() +
                '}';
    }
}
